Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class ENXPImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
                          org.eclipse.ohf.ihe.common.cdar2.impl.EDImpl
                              org.eclipse.ohf.ihe.common.cdar2.impl.ST1Impl
                                  org.eclipse.ohf.ihe.common.cdar2.impl.ENXPImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, BIN1, ED, ENXP, ST1

Direct Known Subclasses:
  EnDelimiterImpl, EnFamilyImpl, EnGivenImpl, EnPrefixImpl, EnSuffixImpl

    public class ENXPImpl

extends ST1Impl
implements ENXP

An implementation of the model object 'ENXP'.

The following features are implemented:

- `Part Type`
- `Qualifier`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.Enumerator` | `getPartType()`
`java.util.List` | `getQualifier()`
`void` | `setPartType(org.eclipse.emf.common.util.Enumerator newPartType)`
`void` | `setQualifier(java.util.List newQualifier)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.EDImpl
`basicSetReference, basicSetThumbnail, eInverseRemove, getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ED
`getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getPartType

    public org.eclipse.emf.common.util.Enumerator getPartType()

  Specified by:
    `getPartType` in interface `ENXP`
  Returns:
    the value of the 'Part Type' attribute.
  See Also:
    `ENXP.setPartType(Enumerator)`, `CDAR2Package.getENXP_PartType()`

### setPartType

    public void setPartType(org.eclipse.emf.common.util.Enumerator newPartType)

  Specified by:
    `setPartType` in interface `ENXP`
  Parameters:
    `newPartType` - the new value of the 'Part Type' attribute.
  See Also:
    `ENXP.getPartType()`

### getQualifier

    public java.util.List getQualifier()

  Specified by:
    `getQualifier` in interface `ENXP`
  Returns:
    the value of the 'Qualifier' attribute.
  See Also:
    `ENXP.setQualifier(List)`, `CDAR2Package.getENXP_Qualifier()`

### setQualifier

    public void setQualifier(java.util.List newQualifier)

  Specified by:
    `setQualifier` in interface `ENXP`
  Parameters:
    `newQualifier` - the new value of the 'Qualifier' attribute.
  See Also:
    `ENXP.getQualifier()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `EDImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `EDImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `EDImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `EDImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EDImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD